# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::VLXVisitor Class Reference

Base class for all visitors visiting a VLX hierarchy. More...

`#include <VLXVisitor.hpp>`

Inheritance diagram for vl::VLXVisitor:

List of all members.

## Public Member Functions

virtual void | visitStructure (VLXStructure *)
virtual void | visitList (VLXList *)
virtual void | visitRawtextBlock (VLXRawtextBlock *)
virtual void | visitArray (VLXArrayInteger *)
virtual void | visitArray (VLXArrayReal *)
bool | isVisited (void *node)
void | resetVisitedNodes ()

## Detailed Description

Base class for all visitors visiting a VLX hierarchy.

Definition at line 53 of file VLXVisitor.hpp.

## Member Function Documentation

virtual void vl::VLXVisitor::visitStructure | ( | VLXStructure * | ) | `[inline, virtual]`

Reimplemented in vl::VLXVisitorCountIDs, vl::VLXVisitorExportToVLB, vl::VLXVisitorExportToVLT, vl::VLXVisitorLinker, and vl::VLXVisitorLinkMapper.

Definition at line 58 of file VLXVisitor.hpp.

Referenced by vl::VLXStructure::acceptVisitor().

virtual void vl::VLXVisitor::visitList | ( | VLXList * | ) | `[inline, virtual]`

Reimplemented in vl::VLXVisitorCountIDs, vl::VLXVisitorExportToVLB, vl::VLXVisitorExportToVLT, vl::VLXVisitorLinker, and vl::VLXVisitorLinkMapper.

Definition at line 59 of file VLXVisitor.hpp.

Referenced by vl::VLXList::acceptVisitor().

virtual void vl::VLXVisitor::visitRawtextBlock | ( | VLXRawtextBlock * | ) | `[inline, virtual]`

Definition at line 60 of file VLXVisitor.hpp.

Referenced by vl::VLXRawtextBlock::acceptVisitor().

virtual void vl::VLXVisitor::visitArray | ( | VLXArrayInteger * | ) | `[inline, virtual]`

Reimplemented in vl::VLXVisitorCountIDs, vl::VLXVisitorExportToVLB, vl::VLXVisitorExportToVLT, vl::VLXVisitorLinker, and vl::VLXVisitorLinkMapper.

Definition at line 61 of file VLXVisitor.hpp.

Referenced by vl::VLXArrayReal::acceptVisitor(), and vl::VLXArrayInteger::acceptVisitor().

virtual void vl::VLXVisitor::visitArray | ( | VLXArrayReal * | ) | `[inline, virtual]`

Reimplemented in vl::VLXVisitorCountIDs, vl::VLXVisitorExportToVLB, vl::VLXVisitorExportToVLT, vl::VLXVisitorLinker, and vl::VLXVisitorLinkMapper.

Definition at line 62 of file VLXVisitor.hpp.

bool vl::VLXVisitor::isVisited | ( | void * | node ) | `[inline]`

Definition at line 69 of file VLXVisitor.hpp.

Referenced by vl::VLXVisitorLinkMapper::visitList(), vl::VLXVisitorLinker::visitList(), vl::VLXVisitorCountIDs::visitList(), vl::VLXVisitorLinkMapper::visitStructure(), vl::VLXVisitorLinker::visitStructure(), and vl::VLXVisitorCountIDs::visitStructure().

void vl::VLXVisitor::resetVisitedNodes | ( | ) | `[inline]`

Definition at line 81 of file VLXVisitor.hpp.

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlCore/VLXVisitor.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:19.
Permission is granted to use this page to write and publish articles regarding Visualization Library.